> ## Name

> cgD3D11SetManageTextureParameters - set the manage texture parameters flag for a context

> ## Synopsis

>     #include <Cg/cgD3D11.h>

>     void cgD3D11SetManageTextureParameters( CGcontext context,
>                                             CGbool flag );

> ## Parameters

> context
>   The context in which the automatic texture management behavior will be changed.
> flag
>   A boolean switch which controls automatic texture management by the runtime.

> ## Return Values

> None.

> ## Description

> By default, cgD3D11 does not manage any texture state in D3D. It is up to the user to enable and disable textures using D3D. This behavior is the default to avoid conflicts with texture state on geometry that's rendered with the fixed function pipeline or without cgD3D11.

> If automatic texture management is desired, cgD3D11SetManageTextureParameters may be called with flag set to CG_TRUE before cgD3D11BindProgram is called. Whenever cgD3D11BindProgram is called, the cgD3D11 runtime will make all the appropriate texture parameter calls on the application's behalf.

> Calling cgD3D11SetManageTextureParameters with flag set to CG_FALSE will disable automatic texture management.

> NOTE: When cgD3D11SetManageTextureParameters is set to CG_TRUE, applications should not make texture state change calls to D3D after calling cgD3D11BindProgram, unless the application is trying to override some parts of cgD3D11's texture management.

> ## Examples

>     // Enable automatic texture management
>     cgD3D11SetManageTextureParmeters( pCtx, CG_TRUE );

> ## Errors

> None.

> ## History

> cgD3D11SetManageTextureParameters was introduced in Cg 3.0.

> ## See Also

> cgD3D11GetManageTextureParameters, cgD3D11BindProgram